I'm having 2022.1 problems...

Started by Funlax on Mon, 05/16/2022 - 02:57

Topic category: Help with modding (Java Edition)

Last seen on 04:09, 18. Jun 2022
Joined Jan 2021
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
I'm having 2022.1 problems...
Mon, 05/16/2022 - 02:57

i have no idea whats going wrong, but i cannot use the potion procedures. apparently there are no potions to choose.

and I cannot create a world in order to test my mod because of an "invalid data pack"

i moved my mod from 1.17 to 1.18 and these two things are seriously hindering my mod.

Last seen on 20:29, 24. Jun 2022
Joined May 2021
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
About the Worldgen The 1.17…
Mon, 05/16/2022 - 04:46

About the Worldgen

The 1.17.x datapack is not compatible with 1.18.x, the world will not load. Use https://misode.github.io/ and/or https://moddingtutorials.org/o18/world-gen  as reference ... you might need to modify many values since 1.18.x worldgen changed a lot.

Last seen on 04:09, 18. Jun 2022
Joined Jan 2021
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
i have no idea what im doing
Tue, 05/17/2022 - 19:47

i have no idea what im doing